Đến nội dung


Hình ảnh
- - - - -

Giúp Viết Lisp


  • Please log in to reply
5 replies to this topic

#1 M se

M se

    biết zoom

  • Members
  • Pip
  • 17 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 21 August 2015 - 09:19 AM

Chào các anh trên forum. tình hình là em có file bản đồ trên cad có các ký hiệu loại đất . giờ em muốn nhờ các anh viết dùm lisp làm sao khi click chuột vào thửa đất hiện ra thông tin kiểu như thế này: CLN (2527,9). Cảm ơn các anh nhiều. 

có file bản đồ kèm theo


  • -1

#2 hainguyen2014

hainguyen2014

    biết vẽ arc

  • Members
  • PipPip
  • 43 Bài viết
Điểm đánh giá: 12 (tàm tạm)

Đã gửi 21 August 2015 - 09:29 AM

 

Chào các anh trên forum. tình hình là em có file bản đồ trên cad có các ký hiệu loại đất . giờ em muốn nhờ các anh viết dùm lisp làm sao khi click chuột vào thửa đất hiện ra thông tin kiểu như thế này: CLN (2527,9). Cảm ơn các anh nhiều. 

có file bản đồ kèm theo

 

 


  • 0

#3 hainguyen2014

hainguyen2014

    biết vẽ arc

  • Members
  • PipPip
  • 43 Bài viết
Điểm đánh giá: 12 (tàm tạm)

Đã gửi 21 August 2015 - 02:09 PM

Bạn sử dụng Code này xem sao. Hy vọng bạn hài lòng.

(defun c:hai ()

(setq gt (entget (car (entsel "\nChon Text:"))))

(setq nd (cdr (assoc 1 gt)))
(setq po (cdr (assoc 10 gt)))
(command "-boundary" po "")
(command "area" "o" "l")
(command "erase" "l" "")
(setq dtc (getvar "area"))
(setq dtc (/ dtc 1))
(setq dtc (rtos dtc 2 1))

(setq kq gt)
(setq txt (strcat nd " (" dtc ")"))
(entmod (subst (cons 1 txt) (assoc 1 kq) kq))

(princ)
)

  • 0

#4 M se

M se

    biết zoom

  • Members
  • Pip
  • 17 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 21 August 2015 - 02:38 PM

Cảm ơn anh nhiều. nhưng mà anh ơi có cách nào cho phép chọn liên tục không anh. chứ chọn xong 1 lần xong thoát lệnh rồi lại thực hiện nữa hơi mất công anh


  • 0

#5 tien2005

tien2005

    biết lệnh properties

  • Members
  • PipPipPipPip
  • 257 Bài viết
Điểm đánh giá: 94 (tàm tạm)

Đã gửi 21 August 2015 - 02:51 PM

đây nè Bạn

(defun c:hai ()

(while(setq gt (car (entsel "\nChon Text:")))
(setq gt (entget gt))
(setq nd (cdr (assoc 1 gt)))
(setq po (cdr (assoc 10 gt)))
(command "-boundary" po "")
(command "area" "o" "l")
(command "erase" "l" "")
(setq dtc (getvar "area"))
(setq dtc (/ dtc 1))
(setq dtc (rtos dtc 2 1))

(setq kq gt)
(setq txt (strcat nd " (" dtc ")"))
(entmod (subst (cons 1 txt) (assoc 1 kq) kq))
)
(princ)
)

  • 0

#6 M se

M se

    biết zoom

  • Members
  • Pip
  • 17 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 21 August 2015 - 03:02 PM

Cảm ơn các anh nhiều. chúc sức khỏe, thành công.


  • 0